#ifndef _COMPONENT_SUPPLIER_H_
#   define _COMPONENT_SUPPLIER_H_

class MessageReceiver;
class Widget;
class StringMap;
class Component;

class ComponentSupplier
{
   public:
      ComponentSupplier(
         MessageReceiver &receiver,
         Widget *w,
         StringMap *map
      );

      ~ComponentSupplier();

      Component *getComponent(const char *name);

   private:
      ComponentSupplier(const ComponentSupplier &);
      ComponentSupplier operator=(const ComponentSupplier &);

      int mIndex;
      StringMap *mMap;
      MessageReceiver &mReceiver;
};

#endif
