/* A Bison parser, made from qale.yacc
   by GNU bison 1.35.  */

#define YYBISON 1  /* Identify Bison output.  */

#define yyparse qale_yyparse
#define yylex qale_yylex
#define yyerror qale_yyerror
#define yylval qale_yylval
#define yychar qale_yychar
#define yydebug qale_yydebug
#define yynerrs qale_yynerrs
# define	REAL	257
# define	IDENTIFIER	258
# define	QUALIFIED_IDENTIFIER	259
# define	LEFT	260
# define	RIGHT	261
# define	TOP	262
# define	BOTTOM	263
# define	XCENTER	264
# define	YCENTER	265
# define	WIDTH	266
# define	HEIGHT	267
# define	DEFAULT_WIDTH	268
# define	DEFAULT_HEIGHT	269
# define	LT	270
# define	LC	271
# define	LB	272
# define	CT	273
# define	CC	274
# define	CB	275
# define	RT	276
# define	RC	277
# define	RB	278
# define	DEFINE	279
# define	MIN	280
# define	MAX	281
# define	UMINUS	282

#line 1 "qale.yacc"


#include <iostream>
#include <stdlib.h>
#include <string.h>
#include <stdio.h>

#include <sstream>
#include <string>

using std::string;
using std::ostringstream;

// Include malloc.h to satisfy reference to "alloca" in bison-generated
// code on win32 platforms

#ifdef _WIN32
#   include <malloc.h>
#endif

#include "QALELexer.h"

#include "Node.h"
#include "BinaryNode.h"
#include "UnaryNode.h"
#include "ConstantNode.h"
#include "PropertyNode.h"
#include "AttributeNode.h"
#include "DefineNode.h"
#include "MinMaxNode.h"
#include "Alignment.h"
#include "StackTemplate.h"
#include "Widget.h"
#include "Define.h"
#include "PointerSet.h"

#include "qale_parse.h"

#define YYERROR_VERBOSE (1)
#define YYDEBUG         (0)
#define ENV(x)          ((QALEParse *)voidPointer)->x
#define YYLEX_PARAM     &(ENV(theIdentifierSet))
#define YYPARSE_PARAM   voidPointer

// A little trickiness to allow an additional variable to be passed
// to qale_yyerror when it is called - this avoids the need for
// static (or global) data to record qale_yyerror's error messages

#define qale_yyerror(message) handleError(message, voidPointer)

extern "C" {
   int yylex(...);
}

// Typedefs for the template stuff we'll need to use
// inside QALEParse

typedef StackTemplate<Widget>      WidgetStack;
typedef StackTemplate<WidgetStack> WidgetStackStack;

typedef StackTemplate<Define>      DefineStack;
typedef StackTemplate<DefineStack> DefineStackStack;

// Local class representing parsing environment
// We need a prototype for the following function since its used
// as an argument to the constructor for "theNodeSet"

static void nodeDelete(void *ptr);

class QALEParse
{
   public:
      ostringstream errStream;
      int errorLineNumber;
      WidgetStackStack theWidgets;
      DefineStackStack theDefines;
      PointerSet theIdentifierSet;
      PointerSet theNodeSet;

      QALEParse()
         :
         errorLineNumber(0),
         theIdentifierSet(PointerSet::genericArrayDelete),
         theNodeSet(nodeDelete)
      {
      }
};

/*****************************************************************************
 * Local function prototypes
 *****************************************************************************/

static int handleError(char *s, void *voidPointer);

static Widget *qale_createFromText(
   const char *text,
   QALEParse  *env,
   string     &errMsg,
   int *errorLineNumberPointer
);


#line 106 "qale.yacc"
#ifndef YYSTYPE
typedef union
{
   double                   dvalue;
   char                    *identifier;
   char                    *qualified_identifier;
   AttributeNode::Attribute theAttribute;
   Alignment::Type          theType;
   Node                    *n;
} yystype;
# define YYSTYPE yystype
# define YYSTYPE_IS_TRIVIAL 1
#endif
#ifndef YYDEBUG
# define YYDEBUG 0
#endif



#define	YYFINAL		90
#define	YYFLAG		-32768
#define	YYNTBASE	40

/* YYTRANSLATE(YYLEX) -- Bison token number corresponding to YYLEX. */
#define YYTRANSLATE(x) ((unsigned)(x) <= 282 ? yytranslate[x] : 53)

/* YYTRANSLATE[YYLEX] -- Bison token number corresponding to YYLEX. */
static const char yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,    39,     2,     2,     2,
      33,    35,    30,    29,    34,    28,     2,    31,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,    38,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,    36,     2,    37,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     3,     4,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    32
};

#if YYDEBUG
static const short yyprhs[] =
{
       0,     0,     1,    16,    17,    22,    24,    27,    28,    33,
      35,    38,    42,    44,    48,    52,    56,    60,    63,    67,
      74,    81,    83,    85,    87,    91,    95,    98,   101,   103,
     105,   107,   109,   111,   113,   115,   117,   119,   121,   123,
     125,   127,   129,   131,   133,   135,   137,   139,   141
};
static const short yyrhs[] =
{
      -1,     4,    33,    47,    34,    47,    34,    47,    34,    47,
      34,    52,    35,    41,    42,     0,     0,    36,    44,    43,
      37,     0,    40,     0,    43,    40,     0,     0,    25,    36,
      45,    37,     0,    46,     0,    45,    46,     0,     4,    38,
      47,     0,     3,     0,    47,    29,    47,     0,    47,    28,
      47,     0,    47,    30,    47,     0,    47,    31,    47,     0,
      28,    47,     0,    33,    47,    35,     0,    26,    33,    47,
      34,    47,    35,     0,    27,    33,    47,    34,    47,    35,
       0,    48,     0,    49,     0,    50,     0,     5,    33,    35,
       0,     4,    33,    35,     0,    39,     5,     0,    39,     4,
       0,     5,     0,    51,     0,     6,     0,     7,     0,     8,
       0,     9,     0,    10,     0,    11,     0,    12,     0,    13,
       0,    14,     0,    15,     0,    16,     0,    17,     0,    18,
       0,    19,     0,    20,     0,    21,     0,    22,     0,    23,
       0,    24,     0
};

#endif

#if YYDEBUG
/* YYRLINE[YYN] -- source line where rule number YYN was defined. */
static const short yyrline[] =
{
       0,   166,   166,   240,   241,   244,   245,   248,   249,   252,
     253,   256,   273,   278,   287,   296,   305,   314,   322,   326,
     335,   344,   348,   352,   358,   365,   373,   381,   391,   415,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     434,   435,   436,   437,   438,   439,   440,   441,   442
};
#endif


#if (YYDEBUG) || defined YYERROR_VERBOSE

/* YYTNAME[TOKEN_NUM] -- String name of the token TOKEN_NUM. */
static const char *const yytname[] =
{
  "$", "error", "$undefined.", "REAL", "IDENTIFIER", "QUALIFIED_IDENTIFIER", 
  "LEFT", "RIGHT", "TOP", "BOTTOM", "XCENTER", "YCENTER", "WIDTH", 
  "HEIGHT", "DEFAULT_WIDTH", "DEFAULT_HEIGHT", "LT", "LC", "LB", "CT", 
  "CC", "CB", "RT", "RC", "RB", "DEFINE", "MIN", "MAX", "'-'", "'+'", 
  "'*'", "'/'", "UMINUS", "'('", "','", "')'", "'{'", "'}'", "'='", "'$'", 
  "widget", "@1", "widget_contents", "children", "define_contents", 
  "defines", "define", "expression", "property_expression", 
  "variable_expression", "attribute_expression", "the_attribute", 
  "the_alignment", 0
};
#endif

/* YYR1[YYN] -- Symbol number of symbol that rule YYN derives. */
static const short yyr1[] =
{
       0,    41,    40,    42,    42,    43,    43,    44,    44,    45,
      45,    46,    47,    47,    47,    47,    47,    47,    47,    47,
      47,    47,    47,    47,    48,    48,    49,    49,    50,    50,
      51,    51,    51,    51,    51,    51,    51,    51,    51,    51,
      52,    52,    52,    52,    52,    52,    52,    52,    52
};

/* YYR2[YYN] -- Number of symbols composing right hand side of rule YYN. */
static const short yyr2[] =
{
       0,     0,    14,     0,     4,     1,     2,     0,     4,     1,
       2,     3,     1,     3,     3,     3,     3,     2,     3,     6,
       6,     1,     1,     1,     3,     3,     2,     2,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1
};

/* YYDEFACT[S] -- default rule to reduce with in state S when YYTABLE
   doesn't specify something else to do.  Zero means the default is an
   error. */
static const short yydefact[] =
{
       0,     0,     0,    12,     0,    28,    30,    31,    32,    33,
      34,    35,    36,    37,    38,    39,     0,     0,     0,     0,
       0,     0,    21,    22,    23,    29,     0,     0,     0,     0,
      17,     0,    27,    26,     0,     0,     0,     0,     0,    25,
      24,     0,     0,    18,    14,    13,    15,    16,     0,     0,
       0,     0,     0,     0,     0,    19,    20,     0,     0,     0,
      40,    41,    42,    43,    44,    45,    46,    47,    48,     0,
       1,     3,     7,     2,     0,     0,     0,     5,     0,     0,
       0,     9,     4,     6,     0,     8,    10,    11,     0,     0,
       0
};

static const short yydefgoto[] =
{
      77,    71,    73,    78,    75,    80,    81,    21,    22,    23,
      24,    25,    69
};

static const short yypact[] =
{
      12,   -29,    38,-32768,   -23,    -2,-32768,-32768,-32768,-32768,
  -32768,-32768,-32768,-32768,-32768,-32768,     2,     4,    38,    38,
      10,    52,-32768,-32768,-32768,-32768,    25,    27,    38,    38,
  -32768,   -22,-32768,-32768,    38,    38,    38,    38,    38,-32768,
  -32768,    59,    66,-32768,    28,    28,-32768,-32768,    73,    38,
      38,    38,    26,    44,    80,-32768,-32768,    38,    87,     6,
  -32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,    33,
  -32768,     3,    45,-32768,    40,    12,    65,-32768,    -1,    46,
       1,-32768,-32768,-32768,    38,-32768,-32768,    94,    63,    85,
  -32768
};

static const short yypgoto[] =
{
       0,-32768,-32768,-32768,-32768,-32768,    11,   -17,-32768,-32768,
  -32768,-32768,-32768
};


#define	YYLAST		125


static const short yytable[] =
{
      88,    30,    31,     1,     2,    79,    34,    35,    36,    37,
      26,    41,    42,    43,    32,    33,     1,    44,    45,    46,
      47,    48,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    27,    52,    53,    54,    28,    82,    29,    85,    72,
      58,     3,     4,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    14,    15,    34,    35,    36,    37,    36,    37,
      39,    55,    40,    89,    16,    17,    18,    87,    70,    79,
      74,    19,    34,    35,    36,    37,    76,    20,    83,    56,
      34,    35,    36,    37,    84,    90,    38,    34,    35,    36,
      37,    86,     0,    49,    34,    35,    36,    37,     0,     0,
      50,    34,    35,    36,    37,     0,     0,    51,    34,    35,
      36,    37,     0,     0,    57,    34,    35,    36,    37,     0,
       0,    59,    34,    35,    36,    37
};

static const short yycheck[] =
{
       0,    18,    19,     4,    33,     4,    28,    29,    30,    31,
      33,    28,    29,    35,     4,     5,     4,    34,    35,    36,
      37,    38,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    33,    49,    50,    51,    33,    37,    33,    37,    36,
      57,     3,     4,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    14,    15,    28,    29,    30,    31,    30,    31,
      35,    35,    35,     0,    26,    27,    28,    84,    35,     4,
      25,    33,    28,    29,    30,    31,    36,    39,    78,    35,
      28,    29,    30,    31,    38,     0,    34,    28,    29,    30,
      31,    80,    -1,    34,    28,    29,    30,    31,    -1,    -1,
      34,    28,    29,    30,    31,    -1,    -1,    34,    28,    29,
      30,    31,    -1,    -1,    34,    28,    29,    30,    31,    -1,
      -1,    34,    28,    29,    30,    31
};
#define YYPURE 1

/* -*-C-*-  Note some compilers choke on comments on `#line' lines.  */
#line 3 "/usr/share/bison/bison.simple"

/* Skeleton output parser for bison,

   Copyright (C) 1984, 1989, 1990, 2000, 2001, 2002 Free Software
   Foundation, Inc.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.  */

/* As a special exception, when this file is copied by Bison into a
   Bison output file, you may use that output file without restriction.
   This special exception was added by the Free Software Foundation
   in version 1.24 of Bison.  */

/* This is the parser code that is written into each bison parser when
   the %semantic_parser declaration is not specified in the grammar.
   It was written by Richard Stallman by simplifying the hairy parser
   used when %semantic_parser is specified.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

#if ! defined (yyoverflow) || defined (YYERROR_VERBOSE)

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# if YYSTACK_USE_ALLOCA
#  define YYSTACK_ALLOC alloca
# else
#  ifndef YYSTACK_USE_ALLOCA
#   if defined (alloca) || defined (_ALLOCA_H)
#    define YYSTACK_ALLOC alloca
#   else
#    ifdef __GNUC__
#     define YYSTACK_ALLOC __builtin_alloca
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's `empty if-body' warning. */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
# else
#  if defined (__STDC__) || defined (__cplusplus)
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   define YYSIZE_T size_t
#  endif
#  define YYSTACK_ALLOC malloc
#  define YYSTACK_FREE free
# endif
#endif /* ! defined (yyoverflow) || defined (YYERROR_VERBOSE) */


#if (! defined (yyoverflow) \
     && (! defined (__cplusplus) \
	 || (YYLTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  short yyss;
  YYSTYPE yyvs;
# if YYLSP_NEEDED
  YYLTYPE yyls;
# endif
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAX (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# if YYLSP_NEEDED
#  define YYSTACK_BYTES(N) \
     ((N) * (sizeof (short) + sizeof (YYSTYPE) + sizeof (YYLTYPE))	\
      + 2 * YYSTACK_GAP_MAX)
# else
#  define YYSTACK_BYTES(N) \
     ((N) * (sizeof (short) + sizeof (YYSTYPE))				\
      + YYSTACK_GAP_MAX)
# endif

/* Copy COUNT objects from FROM to TO.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if 1 < __GNUC__
#   define YYCOPY(To, From, Count) \
      __builtin_memcpy (To, From, (Count) * sizeof (*(From)))
#  else
#   define YYCOPY(To, From, Count)		\
      do					\
	{					\
	  register YYSIZE_T yyi;		\
	  for (yyi = 0; yyi < (Count); yyi++)	\
	    (To)[yyi] = (From)[yyi];		\
	}					\
      while (0)
#  endif
# endif

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack)					\
    do									\
      {									\
	YYSIZE_T yynewbytes;						\
	YYCOPY (&yyptr->Stack, Stack, yysize);				\
	Stack = &yyptr->Stack;						\
	yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAX;	\
	yyptr += yynewbytes / sizeof (*yyptr);				\
      }									\
    while (0)

#endif


#if ! defined (YYSIZE_T) && defined (__SIZE_TYPE__)
# define YYSIZE_T __SIZE_TYPE__
#endif
#if ! defined (YYSIZE_T) && defined (size_t)
# define YYSIZE_T size_t
#endif
#if ! defined (YYSIZE_T)
# if defined (__STDC__) || defined (__cplusplus)
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# endif
#endif
#if ! defined (YYSIZE_T)
# define YYSIZE_T unsigned int
#endif

#define yyerrok		(yyerrstatus = 0)
#define yyclearin	(yychar = YYEMPTY)
#define YYEMPTY		-2
#define YYEOF		0
#define YYACCEPT	goto yyacceptlab
#define YYABORT 	goto yyabortlab
#define YYERROR		goto yyerrlab1
/* Like YYERROR except do call yyerror.  This remains here temporarily
   to ease the transition to the new meaning of YYERROR, for GCC.
   Once GCC version 2 has supplanted version 1, this can go.  */
#define YYFAIL		goto yyerrlab
#define YYRECOVERING()  (!!yyerrstatus)
#define YYBACKUP(Token, Value)					\
do								\
  if (yychar == YYEMPTY && yylen == 1)				\
    {								\
      yychar = (Token);						\
      yylval = (Value);						\
      yychar1 = YYTRANSLATE (yychar);				\
      YYPOPSTACK;						\
      goto yybackup;						\
    }								\
  else								\
    { 								\
      yyerror ("syntax error: cannot back up");			\
      YYERROR;							\
    }								\
while (0)

#define YYTERROR	1
#define YYERRCODE	256


/* YYLLOC_DEFAULT -- Compute the default location (before the actions
   are run).

   When YYLLOC_DEFAULT is run, CURRENT is set the location of the
   first token.  By default, to implement support for ranges, extend
   its range to the last symbol.  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)       	\
   Current.last_line   = Rhs[N].last_line;	\
   Current.last_column = Rhs[N].last_column;
#endif


/* YYLEX -- calling `yylex' with the right arguments.  */

#if YYPURE
# if YYLSP_NEEDED
#  ifdef YYLEX_PARAM
#   define YYLEX		yylex (&yylval, &yylloc, YYLEX_PARAM)
#  else
#   define YYLEX		yylex (&yylval, &yylloc)
#  endif
# else /* !YYLSP_NEEDED */
#  ifdef YYLEX_PARAM
#   define YYLEX		yylex (&yylval, YYLEX_PARAM)
#  else
#   define YYLEX		yylex (&yylval)
#  endif
# endif /* !YYLSP_NEEDED */
#else /* !YYPURE */
# define YYLEX			yylex ()
#endif /* !YYPURE */


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)			\
do {						\
  if (yydebug)					\
    YYFPRINTF Args;				\
} while (0)
/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
#endif /* !YYDEBUG */

/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef	YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   SIZE_MAX < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#if YYMAXDEPTH == 0
# undef YYMAXDEPTH
#endif

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif

#ifdef YYERROR_VERBOSE

# ifndef yystrlen
#  if defined (__GLIBC__) && defined (_STRING_H)
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
#   if defined (__STDC__) || defined (__cplusplus)
yystrlen (const char *yystr)
#   else
yystrlen (yystr)
     const char *yystr;
#   endif
{
  register const char *yys = yystr;

  while (*yys++ != '\0')
    continue;

  return yys - yystr - 1;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined (__GLIBC__) && defined (_STRING_H) && defined (_GNU_SOURCE)
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
#   if defined (__STDC__) || defined (__cplusplus)
yystpcpy (char *yydest, const char *yysrc)
#   else
yystpcpy (yydest, yysrc)
     char *yydest;
     const char *yysrc;
#   endif
{
  register char *yyd = yydest;
  register const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif
#endif

#line 315 "/usr/share/bison/bison.simple"


/* The user can define YYPARSE_PARAM as the name of an argument to be passed
   into yyparse.  The argument should have type void *.
   It should actually point to an object.
   Grammar actions can access the variable by casting it
   to the proper pointer type.  */

#ifdef YYPARSE_PARAM
# if defined (__STDC__) || defined (__cplusplus)
#  define YYPARSE_PARAM_ARG void *YYPARSE_PARAM
#  define YYPARSE_PARAM_DECL
# else
#  define YYPARSE_PARAM_ARG YYPARSE_PARAM
#  define YYPARSE_PARAM_DECL void *YYPARSE_PARAM;
# endif
#else /* !YYPARSE_PARAM */
# define YYPARSE_PARAM_ARG
# define YYPARSE_PARAM_DECL
#endif /* !YYPARSE_PARAM */

/* Prevent warning if -Wstrict-prototypes.  */
#ifdef __GNUC__
# ifdef YYPARSE_PARAM
int yyparse (void *);
# else
int yyparse (void);
# endif
#endif

/* YY_DECL_VARIABLES -- depending whether we use a pure parser,
   variables are global, or local to YYPARSE.  */

#define YY_DECL_NON_LSP_VARIABLES			\
/* The lookahead symbol.  */				\
int yychar;						\
							\
/* The semantic value of the lookahead symbol. */	\
YYSTYPE yylval;						\
							\
/* Number of parse errors so far.  */			\
int yynerrs;

#if YYLSP_NEEDED
# define YY_DECL_VARIABLES			\
YY_DECL_NON_LSP_VARIABLES			\
						\
/* Location data for the lookahead symbol.  */	\
YYLTYPE yylloc;
#else
# define YY_DECL_VARIABLES			\
YY_DECL_NON_LSP_VARIABLES
#endif


/* If nonreentrant, generate the variables here. */

#if !YYPURE
YY_DECL_VARIABLES
#endif  /* !YYPURE */

int
yyparse (YYPARSE_PARAM_ARG)
     YYPARSE_PARAM_DECL
{
  /* If reentrant, generate the variables here. */
#if YYPURE
  YY_DECL_VARIABLES
#endif  /* !YYPURE */

  register int yystate;
  register int yyn;
  int yyresult;
  /* Number of tokens to shift before error messages enabled.  */
  int yyerrstatus;
  /* Lookahead token as an internal (translated) token number.  */
  int yychar1 = 0;

  /* Three stacks and their tools:
     `yyss': related to states,
     `yyvs': related to semantic values,
     `yyls': related to locations.

     Refer to the stacks thru separate pointers, to allow yyoverflow
     to reallocate them elsewhere.  */

  /* The state stack. */
  short	yyssa[YYINITDEPTH];
  short *yyss = yyssa;
  register short *yyssp;

  /* The semantic value stack.  */
  YYSTYPE yyvsa[YYINITDEPTH];
  YYSTYPE *yyvs = yyvsa;
  register YYSTYPE *yyvsp;

#if YYLSP_NEEDED
  /* The location stack.  */
  YYLTYPE yylsa[YYINITDEPTH];
  YYLTYPE *yyls = yylsa;
  YYLTYPE *yylsp;
#endif

#if YYLSP_NEEDED
# define YYPOPSTACK   (yyvsp--, yyssp--, yylsp--)
#else
# define YYPOPSTACK   (yyvsp--, yyssp--)
#endif

  YYSIZE_T yystacksize = YYINITDEPTH;


  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
#if YYLSP_NEEDED
  YYLTYPE yyloc;
#endif

  /* When reducing, the number of symbols on the RHS of the reduced
     rule. */
  int yylen;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY;		/* Cause a token to be read.  */

  /* Initialize stack pointers.
     Waste one element of value and location stack
     so that they stay on the same level as the state stack.
     The wasted elements are never initialized.  */

  yyssp = yyss;
  yyvsp = yyvs;
#if YYLSP_NEEDED
  yylsp = yyls;
#endif
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed. so pushing a state here evens the stacks.
     */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyssp >= yyss + yystacksize - 1)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
	/* Give user a chance to reallocate the stack. Use copies of
	   these so that the &'s don't force the real ones into
	   memory.  */
	YYSTYPE *yyvs1 = yyvs;
	short *yyss1 = yyss;

	/* Each stack pointer address is followed by the size of the
	   data in use in that stack, in bytes.  */
# if YYLSP_NEEDED
	YYLTYPE *yyls1 = yyls;
	/* This used to be a conditional around just the two extra args,
	   but that might be undefined if yyoverflow is a macro.  */
	yyoverflow ("parser stack overflow",
		    &yyss1, yysize * sizeof (*yyssp),
		    &yyvs1, yysize * sizeof (*yyvsp),
		    &yyls1, yysize * sizeof (*yylsp),
		    &yystacksize);
	yyls = yyls1;
# else
	yyoverflow ("parser stack overflow",
		    &yyss1, yysize * sizeof (*yyssp),
		    &yyvs1, yysize * sizeof (*yyvsp),
		    &yystacksize);
# endif
	yyss = yyss1;
	yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyoverflowlab;
# else
      /* Extend the stack our own way.  */
      if (yystacksize >= YYMAXDEPTH)
	goto yyoverflowlab;
      yystacksize *= 2;
      if (yystacksize > YYMAXDEPTH)
	yystacksize = YYMAXDEPTH;

      {
	short *yyss1 = yyss;
	union yyalloc *yyptr =
	  (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
	if (! yyptr)
	  goto yyoverflowlab;
	YYSTACK_RELOCATE (yyss);
	YYSTACK_RELOCATE (yyvs);
# if YYLSP_NEEDED
	YYSTACK_RELOCATE (yyls);
# endif
# undef YYSTACK_RELOCATE
	if (yyss1 != yyssa)
	  YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
#if YYLSP_NEEDED
      yylsp = yyls + yysize - 1;
#endif

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
		  (unsigned long int) yystacksize));

      if (yyssp >= yyss + yystacksize - 1)
	YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  goto yybackup;


/*-----------.
| yybackup.  |
`-----------*/
yybackup:

/* Do appropriate processing given the current state.  */
/* Read a lookahead token if we need one and don't already have one.  */
/* yyresume: */

  /* First try to decide what to do without reference to lookahead token.  */

  yyn = yypact[yystate];
  if (yyn == YYFLAG)
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* yychar is either YYEMPTY or YYEOF
     or a valid token in external form.  */

  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = YYLEX;
    }

  /* Convert token to internal form (in yychar1) for indexing tables with */

  if (yychar <= 0)		/* This means end of input. */
    {
      yychar1 = 0;
      yychar = YYEOF;		/* Don't call YYLEX any more */

      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yychar1 = YYTRANSLATE (yychar);

#if YYDEBUG
     /* We have to keep this `#if YYDEBUG', since we use variables
	which are defined only if `YYDEBUG' is set.  */
      if (yydebug)
	{
	  YYFPRINTF (stderr, "Next token is %d (%s",
		     yychar, yytname[yychar1]);
	  /* Give the individual parser a way to print the precise
	     meaning of a token, for further debugging info.  */
# ifdef YYPRINT
	  YYPRINT (stderr, yychar, yylval);
# endif
	  YYFPRINTF (stderr, ")\n");
	}
#endif
    }

  yyn += yychar1;
  if (yyn < 0 || yyn > YYLAST || yycheck[yyn] != yychar1)
    goto yydefault;

  yyn = yytable[yyn];

  /* yyn is what to do for this token type in this state.
     Negative => reduce, -yyn is rule number.
     Positive => shift, yyn is new state.
       New state is final state => don't bother to shift,
       just return success.
     0, or most negative number => error.  */

  if (yyn < 0)
    {
      if (yyn == YYFLAG)
	goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }
  else if (yyn == 0)
    goto yyerrlab;

  if (yyn == YYFINAL)
    YYACCEPT;

  /* Shift the lookahead token.  */
  YYDPRINTF ((stderr, "Shifting token %d (%s), ",
	      yychar, yytname[yychar1]));

  /* Discard the token being shifted unless it is eof.  */
  if (yychar != YYEOF)
    yychar = YYEMPTY;

  *++yyvsp = yylval;
#if YYLSP_NEEDED
  *++yylsp = yylloc;
#endif

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  yystate = yyn;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     `$$ = $1'.

     Otherwise, the following line sets YYVAL to the semantic value of
     the lookahead token.  This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

#if YYLSP_NEEDED
  /* Similarly for the default location.  Let the user run additional
     commands if for instance locations are ranges.  */
  yyloc = yylsp[1-yylen];
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
#endif

#if YYDEBUG
  /* We have to keep this `#if YYDEBUG', since we use variables which
     are defined only if `YYDEBUG' is set.  */
  if (yydebug)
    {
      int yyi;

      YYFPRINTF (stderr, "Reducing via rule %d (line %d), ",
		 yyn, yyrline[yyn]);

      /* Print the symbols being reduced, and their result.  */
      for (yyi = yyprhs[yyn]; yyrhs[yyi] > 0; yyi++)
	YYFPRINTF (stderr, "%s ", yytname[yyrhs[yyi]]);
      YYFPRINTF (stderr, " -> %s\n", yytname[yyr1[yyn]]);
    }
#endif

  switch (yyn) {

case 1:
#line 173 "qale.yacc"
{
          // A widget may or may not have a "{ ... }" section
          // create stacks that we can examine after we've dealt
          // with the "widget_contents" production to see if
          // this widget did have contents

          ENV(theWidgets).push(new WidgetStack());
          ENV(theDefines).push(new DefineStack());
       ;
    break;}
case 2:
#line 183 "qale.yacc"
{
          WidgetStack *children = ENV(theWidgets).pop();
          DefineStack *defines  = ENV(theDefines).pop();
          int level             = ENV(theWidgets).size() - 1;

         ENV(theNodeSet).remove(yyvsp[-11].n);
         ENV(theNodeSet).remove(yyvsp[-9].n);
         ENV(theNodeSet).remove(yyvsp[-7].n);
         ENV(theNodeSet).remove(yyvsp[-5].n);

          Widget *w = new Widget(
             yyvsp[-13].identifier, yyvsp[-11].n, yyvsp[-9].n, yyvsp[-7].n, yyvsp[-5].n,
             new Alignment(yyvsp[-3].theType),
             level
          );

          ENV(theIdentifierSet).remove(yyvsp[-13].identifier);
          delete [] yyvsp[-13].identifier;

          int nDefines  = defines->size();

          if(nDefines > 0)
          {
             w->setNDefines(nDefines);

             // Add the defines to our widget, note that we
             // correct the order which will have been reversed
             // by virtue of having stored them in a stack

             for(int i = nDefines - 1; i >= 0; i --)
                w->setDefine(i, defines->pop());
          }

          delete defines;

          int nChildren = children->size();

          if(nChildren > 0)
          {
             w->setNChildren(nChildren);

             // Add the children to our widget, note that we
             // correct the order which will have been reversed
             // by virtue of having stored them in a stack

             for(int i = nChildren - 1; i >= 0; i --)

                w->setChild(i, children->pop());
          }

          delete children;

          WidgetStack *ws = ENV(theWidgets).top();
          ws->push(w);
       ;
    break;}
case 11:
#line 257 "qale.yacc"
{
            const char *name  = yyvsp[-2].identifier;
            Node *value       = yyvsp[0].n;
            int level         = ENV(theWidgets).size() - 1;

            ENV(theNodeSet).remove(value);

            Define *d = new Define(name, value, level);
            ENV(theIdentifierSet).remove(yyvsp[-2].identifier);
            delete [] yyvsp[-2].identifier;

            DefineStack *ds = ENV(theDefines).top();
            ds->push(d);
         ;
    break;}
case 12:
#line 274 "qale.yacc"
{
               yyval.n = new ConstantNode(yyvsp[0].dvalue);
               ENV(theNodeSet).add(yyval.n);
            ;
    break;}
case 13:
#line 279 "qale.yacc"
{
               ENV(theNodeSet).remove(yyvsp[-2].n);
               ENV(theNodeSet).remove(yyvsp[0].n);

               yyval.n = new BinaryNode(yyvsp[-2].n, BinaryNode::_PLUS_, yyvsp[0].n);

               ENV(theNodeSet).add(yyval.n);
            ;
    break;}
case 14:
#line 288 "qale.yacc"
{
               ENV(theNodeSet).remove(yyvsp[-2].n);
               ENV(theNodeSet).remove(yyvsp[0].n);

               yyval.n = new BinaryNode(yyvsp[-2].n, BinaryNode::_MINUS_, yyvsp[0].n);

               ENV(theNodeSet).add(yyval.n);
            ;
    break;}
case 15:
#line 297 "qale.yacc"
{
               ENV(theNodeSet).remove(yyvsp[-2].n);
               ENV(theNodeSet).remove(yyvsp[0].n);

               yyval.n = new BinaryNode(yyvsp[-2].n, BinaryNode::_TIMES_, yyvsp[0].n);

               ENV(theNodeSet).add(yyval.n);
            ;
    break;}
case 16:
#line 306 "qale.yacc"
{
               ENV(theNodeSet).remove(yyvsp[-2].n);
               ENV(theNodeSet).remove(yyvsp[0].n);

               yyval.n = new BinaryNode(yyvsp[-2].n, BinaryNode::_DIVIDE_, yyvsp[0].n);

               ENV(theNodeSet).add(yyval.n);
            ;
    break;}
case 17:
#line 315 "qale.yacc"
{
               ENV(theNodeSet).remove(yyvsp[0].n);

               yyval.n = new UnaryNode(yyvsp[0].n);

               ENV(theNodeSet).add(yyval.n);
            ;
    break;}
case 18:
#line 323 "qale.yacc"
{
               yyval.n = yyvsp[-1].n;
            ;
    break;}
case 19:
#line 327 "qale.yacc"
{
               ENV(theNodeSet).remove(yyvsp[-3].n);
               ENV(theNodeSet).remove(yyvsp[-1].n);

               yyval.n = new MinMaxNode(MinMaxNode::_MIN_, yyvsp[-3].n, yyvsp[-1].n);

               ENV(theNodeSet).add(yyval.n);
            ;
    break;}
case 20:
#line 336 "qale.yacc"
{
               ENV(theNodeSet).remove(yyvsp[-3].n);
               ENV(theNodeSet).remove(yyvsp[-1].n);

               yyval.n = new MinMaxNode(MinMaxNode::_MAX_, yyvsp[-3].n, yyvsp[-1].n);

               ENV(theNodeSet).add(yyval.n);
            ;
    break;}
case 21:
#line 345 "qale.yacc"
{
               yyval.n = yyvsp[0].n;
            ;
    break;}
case 22:
#line 349 "qale.yacc"
{
               yyval.n = yyvsp[0].n;
            ;
    break;}
case 23:
#line 353 "qale.yacc"
{
               yyval.n = yyvsp[0].n;
            ;
    break;}
case 24:
#line 359 "qale.yacc"
{
                        yyval.n = new PropertyNode(yyvsp[-2].qualified_identifier);
                        ENV(theIdentifierSet).remove(yyvsp[-2].qualified_identifier);
                        delete [] yyvsp[-2].qualified_identifier;

                     ;
    break;}
case 25:
#line 366 "qale.yacc"
{
                        yyval.n = new PropertyNode(yyvsp[-2].identifier);
                        ENV(theIdentifierSet).remove(yyvsp[-2].identifier);
                        delete [] yyvsp[-2].identifier;
                     ;
    break;}
case 26:
#line 374 "qale.yacc"
{
                        yyval.n = new DefineNode(yyvsp[0].qualified_identifier);
                        ENV(theNodeSet).add(yyval.n);

                        ENV(theIdentifierSet).remove(yyvsp[0].qualified_identifier);
                        delete [] yyvsp[0].qualified_identifier;
                     ;
    break;}
case 27:
#line 382 "qale.yacc"
{
                        yyval.n = new DefineNode(yyvsp[0].identifier);
                        ENV(theNodeSet).add(yyval.n);

                        ENV(theIdentifierSet).remove(yyvsp[0].identifier);
                        delete [] yyvsp[0].identifier;
                     ;
    break;}
case 28:
#line 392 "qale.yacc"
{
                           string errMsg;

                           AttributeNode *ptr =
                              AttributeNode::createFromQualifiedIdentifier(
                                 yyvsp[0].qualified_identifier, errMsg
                              );

                           ENV(theIdentifierSet).remove(yyvsp[0].qualified_identifier);
                           delete [] yyvsp[0].qualified_identifier;

                           if(ptr == NULL)
                           {
                              handleError(
                                 (char *)errMsg.c_str(),
                                 voidPointer
                              );
                              return(-1);
                           }

                           yyval.n = ptr;
                           ENV(theNodeSet).add(yyval.n);
                        ;
    break;}
case 29:
#line 416 "qale.yacc"
{
                           yyval.n = new AttributeNode("", yyvsp[0].theAttribute);
                           ENV(theNodeSet).add(yyval.n);
                        ;
    break;}
case 30:
#line 422 "qale.yacc"
{ yyval.theAttribute = yyvsp[0].theAttribute; ;
    break;}
case 31:
#line 423 "qale.yacc"
{ yyval.theAttribute = yyvsp[0].theAttribute; ;
    break;}
case 32:
#line 424 "qale.yacc"
{ yyval.theAttribute = yyvsp[0].theAttribute; ;
    break;}
case 33:
#line 425 "qale.yacc"
{ yyval.theAttribute = yyvsp[0].theAttribute; ;
    break;}
case 34:
#line 426 "qale.yacc"
{ yyval.theAttribute = yyvsp[0].theAttribute; ;
    break;}
case 35:
#line 427 "qale.yacc"
{ yyval.theAttribute = yyvsp[0].theAttribute; ;
    break;}
case 36:
#line 428 "qale.yacc"
{ yyval.theAttribute = yyvsp[0].theAttribute; ;
    break;}
case 37:
#line 429 "qale.yacc"
{ yyval.theAttribute = yyvsp[0].theAttribute; ;
    break;}
case 38:
#line 430 "qale.yacc"
{ yyval.theAttribute = yyvsp[0].theAttribute; ;
    break;}
case 39:
#line 431 "qale.yacc"
{ yyval.theAttribute = yyvsp[0].theAttribute; ;
    break;}
case 40:
#line 434 "qale.yacc"
{ yyval.theType = yyvsp[0].theType; ;
    break;}
case 41:
#line 435 "qale.yacc"
{ yyval.theType = yyvsp[0].theType; ;
    break;}
case 42:
#line 436 "qale.yacc"
{ yyval.theType = yyvsp[0].theType; ;
    break;}
case 43:
#line 437 "qale.yacc"
{ yyval.theType = yyvsp[0].theType; ;
    break;}
case 44:
#line 438 "qale.yacc"
{ yyval.theType = yyvsp[0].theType; ;
    break;}
case 45:
#line 439 "qale.yacc"
{ yyval.theType = yyvsp[0].theType; ;
    break;}
case 46:
#line 440 "qale.yacc"
{ yyval.theType = yyvsp[0].theType; ;
    break;}
case 47:
#line 441 "qale.yacc"
{ yyval.theType = yyvsp[0].theType; ;
    break;}
case 48:
#line 442 "qale.yacc"
{ yyval.theType = yyvsp[0].theType; ;
    break;}
}

#line 705 "/usr/share/bison/bison.simple"


  yyvsp -= yylen;
  yyssp -= yylen;
#if YYLSP_NEEDED
  yylsp -= yylen;
#endif

#if YYDEBUG
  if (yydebug)
    {
      short *yyssp1 = yyss - 1;
      YYFPRINTF (stderr, "state stack now");
      while (yyssp1 != yyssp)
	YYFPRINTF (stderr, " %d", *++yyssp1);
      YYFPRINTF (stderr, "\n");
    }
#endif

  *++yyvsp = yyval;
#if YYLSP_NEEDED
  *++yylsp = yyloc;
#endif

  /* Now `shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTBASE] + *yyssp;
  if (yystate >= 0 && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTBASE];

  goto yynewstate;


/*------------------------------------.
| yyerrlab -- here on detecting error |
`------------------------------------*/
yyerrlab:
  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;

#ifdef YYERROR_VERBOSE
      yyn = yypact[yystate];

      if (yyn > YYFLAG && yyn < YYLAST)
	{
	  YYSIZE_T yysize = 0;
	  char *yymsg;
	  int yyx, yycount;

	  yycount = 0;
	  /* Start YYX at -YYN if negative to avoid negative indexes in
	     YYCHECK.  */
	  for (yyx = yyn < 0 ? -yyn : 0;
	       yyx < (int) (sizeof (yytname) / sizeof (char *)); yyx++)
	    if (yycheck[yyx + yyn] == yyx)
	      yysize += yystrlen (yytname[yyx]) + 15, yycount++;
	  yysize += yystrlen ("parse error, unexpected ") + 1;
	  yysize += yystrlen (yytname[YYTRANSLATE (yychar)]);
	  yymsg = (char *) YYSTACK_ALLOC (yysize);
	  if (yymsg != 0)
	    {
	      char *yyp = yystpcpy (yymsg, "parse error, unexpected ");
	      yyp = yystpcpy (yyp, yytname[YYTRANSLATE (yychar)]);

	      if (yycount < 5)
		{
		  yycount = 0;
		  for (yyx = yyn < 0 ? -yyn : 0;
		       yyx < (int) (sizeof (yytname) / sizeof (char *));
		       yyx++)
		    if (yycheck[yyx + yyn] == yyx)
		      {
			const char *yyq = ! yycount ? ", expecting " : " or ";
			yyp = yystpcpy (yyp, yyq);
			yyp = yystpcpy (yyp, yytname[yyx]);
			yycount++;
		      }
		}
	      yyerror (yymsg);
	      YYSTACK_FREE (yymsg);
	    }
	  else
	    yyerror ("parse error; also virtual memory exhausted");
	}
      else
#endif /* defined (YYERROR_VERBOSE) */
	yyerror ("parse error");
    }
  goto yyerrlab1;


/*--------------------------------------------------.
| yyerrlab1 -- error raised explicitly by an action |
`--------------------------------------------------*/
yyerrlab1:
  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
	 error, discard it.  */

      /* return failure if at end of input */
      if (yychar == YYEOF)
	YYABORT;
      YYDPRINTF ((stderr, "Discarding token %d (%s).\n",
		  yychar, yytname[yychar1]));
      yychar = YYEMPTY;
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */

  yyerrstatus = 3;		/* Each real token shifted decrements this */

  goto yyerrhandle;


/*-------------------------------------------------------------------.
| yyerrdefault -- current state does not do anything special for the |
| error token.                                                       |
`-------------------------------------------------------------------*/
yyerrdefault:
#if 0
  /* This is wrong; only states that explicitly want error tokens
     should shift them.  */

  /* If its default is to accept any token, ok.  Otherwise pop it.  */
  yyn = yydefact[yystate];
  if (yyn)
    goto yydefault;
#endif


/*---------------------------------------------------------------.
| yyerrpop -- pop the current state because it cannot handle the |
| error token                                                    |
`---------------------------------------------------------------*/
yyerrpop:
  if (yyssp == yyss)
    YYABORT;
  yyvsp--;
  yystate = *--yyssp;
#if YYLSP_NEEDED
  yylsp--;
#endif

#if YYDEBUG
  if (yydebug)
    {
      short *yyssp1 = yyss - 1;
      YYFPRINTF (stderr, "Error: state stack now");
      while (yyssp1 != yyssp)
	YYFPRINTF (stderr, " %d", *++yyssp1);
      YYFPRINTF (stderr, "\n");
    }
#endif

/*--------------.
| yyerrhandle.  |
`--------------*/
yyerrhandle:
  yyn = yypact[yystate];
  if (yyn == YYFLAG)
    goto yyerrdefault;

  yyn += YYTERROR;
  if (yyn < 0 || yyn > YYLAST || yycheck[yyn] != YYTERROR)
    goto yyerrdefault;

  yyn = yytable[yyn];
  if (yyn < 0)
    {
      if (yyn == YYFLAG)
	goto yyerrpop;
      yyn = -yyn;
      goto yyreduce;
    }
  else if (yyn == 0)
    goto yyerrpop;

  if (yyn == YYFINAL)
    YYACCEPT;

  YYDPRINTF ((stderr, "Shifting error token, "));

  *++yyvsp = yylval;
#if YYLSP_NEEDED
  *++yylsp = yylloc;
#endif

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

/*---------------------------------------------.
| yyoverflowab -- parser overflow comes here.  |
`---------------------------------------------*/
yyoverflowlab:
  yyerror ("parser stack overflow");
  yyresult = 2;
  /* Fall through.  */

yyreturn:
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
  return yyresult;
}
#line 445 "qale.yacc"


/*****************************************************************************
 * Local functions
 *****************************************************************************/

static int handleError(char *s, void *voidPointer)
{
   char currentLine[QALELexer::MAX_LINE_LENGTH + 1];
   QALELexer *lex = QALELexer::getInstance();

   // Record the line number where the error took place

   ENV(errorLineNumber) = lex->getLineNumber();

   lex->getCurrentLine(currentLine);

   ENV(errStream) << "line " << ENV(errorLineNumber) << ": " << s << "\n";
   ENV(errStream) << currentLine << "\n";

   int lineOffset = lex->getLineOffset();

   // Attempt to point out the place in the most recently processed
   // line where the error occurred

   for(int i = 0; i < lineOffset; i ++)
   {
      ENV(errStream) << ' ';
   }

   ENV(errStream) << '^' << '\0';

   return(0);
}

static Widget *qale_createFromText(
   const char *text,
   QALEParse  *env,
   string     &errMsg,
   int        *errorLineNumberPointer
)
{
#if YYDEBUG != 0
   yydebug = 1;
#endif

   errMsg                  = "";
   *errorLineNumberPointer = 0;

   // Create our top-level WidgetStack ...

   env->theWidgets.push(new WidgetStack());

   QALELexer::getInstance()->begin(text);
   int success = (qale_yyparse(env) == 0);
   QALELexer::getInstance()->end();

   Widget *w = 0;

   if(!success)
   {
      // Ensure any error messages make their way to the client, also
      // grab the line number of the error

      errMsg                  = env->errStream.str();
      *errorLineNumberPointer = env->errorLineNumber;
   }
   else
   {
      // The data stream was ok syntactically but we need to check a few
      // additional things:
      //
      //    (a) We should have had exactly one top-level widget, meaning:
      //        - theWidgets should contain exactly one element
      //        - the one element in theWidgets should itself contain
      //          exactly one element
      //
      //    (b) "theDefines" should be empty
      //
      // These are really just "sanity checks", they shouldn't ever actually
      // fail - but check anyway

      if(env->theDefines.size() != 0)
      {
         ostringstream errStream;

         errStream << "Expected zero items in \"theDefines\", found: ["
                   << env->theDefines.size() << "]";

         errMsg = errStream.str();
      }
      else
      {
         if(env->theWidgets.size() != 1)
         {
            ostringstream errStream;

            errStream << "Expected one item in \"theWidgets\", found: ["
                      << env->theWidgets.size() << "]";

            errMsg = errStream.str();
         }
         else
         {
            WidgetStack *ws = env->theWidgets.pop();

            if(ws->size() != 1)
            {
               ostringstream errStream;

               errStream << "Expected one top-level widget, got: ["
                         << env->theWidgets.size() << "]";

               errMsg = errStream.str();
            }
            else
            {
               w = ws->pop();
            }

            delete ws;
         }
      }
   }

   return(w);
}

static void nodeDelete(void *ptr)
{
   Node *n = (Node *)ptr;
   delete n;
}

/*****************************************************************************
 * Globally exported functions
 *****************************************************************************/

char *qale_slurpFile(const char *fileName, string &errMsg)
{
   ostringstream o;
   FILE *f = 0;

   if((f = fopen(fileName, "rb")) == 0)
   {
      o << "Unable to open input file: [" << fileName << "]";

      errMsg = o.str();

      return(0);
   }

   fseek(f, 0, 2);
   int size = ftell(f);
   fseek(f, 0, 0);

   char *text = new char[size + 1];
   int count  = fread(text, size, 1, f);
   text[size] = '\0';
   fclose(f);

   if(count != 1)
   {
      ostringstream errStream;

      errStream << "Error reading: [" << size <<
         "] bytes from file: [" << fileName << "]";

      errMsg = errStream.str();
      return(0);
   }

   return(text);
}

Widget *qale_createFromText(
   const char *text,
   string &errMsg,
   int *errorLineNumberPointer
)
{
   QALEParse *env = new QALEParse();

   Widget *w = qale_createFromText(
      text, env, errMsg, errorLineNumberPointer
   );

   delete env;

   return(w);
}
